Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
/
objects
/
collection
/
page
Error
A valid request URL is required to generate request examples
{
  "collection": {
    "type": "<string>",
    "manifest_ref": {
      "bucket": "<string>",
      "key": "<string>",
      "size_bytes": 123,
      "sha256": "<string>",
      "backend": "s3",
      "content_type": "application/json",
      "encoding": "json",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "count": 123,
    "chunk_size": 123,
    "typename": "<string>",
    "schema_version": 1,
    "index": 123
  },
  "offset": 1,
  "limit": 2,
  "next_offset": 1,
  "items": [
    {
      "index": 1,
      "stored": {
        "type": "<string>",
        "data": "<unknown>",
        "typename": "<string>"
      },
      "value_preview": "<string>",
      "value_size_bytes": 1,
      "truncated": false
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Body

application/json
event_id
integer
required

Temporal history event ID

Required range: x >= 1
field
enum<string>
default:action_result
Available options:
action_result
offset
integer
default:0

Page start index (0-indexed)

Required range: x >= 0
limit
integer
default:25

Maximum number of items to return

Required range: 1 <= x <= 100

Response

Successful Response

collection
CollectionObject · object
required

Collection metadata for the requested result

offset
integer
required

Requested page offset

Required range: x >= 0
limit
integer
required

Requested page size

Required range: x >= 1
next_offset
integer | null

Offset to use for next page, or null if no more items

Required range: x >= 0
items
WorkflowExecutionCollectionPageItem · object[]

Collection page descriptors